{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;

  cfg = config.pepe.services.lidarr;
in
{
  options.pepe.services.lidarr = with lib; {
    enable = mkEnableOption "Enable lidarr";
    package = mkPackageOption pkgs "lidarr" { };
    domain = mkOption {
      type = types.str;
      default = null;
    };
  };

  config = mkIf cfg.enable {
    services.lidarr = {
      enable = true;
      package = cfg.package;
      group = "media";
    };

    pepe.core.vhost.hosts.${cfg.domain} = with config.pepe.core.network; {
      dnsInterfaces = [ interfaceTypes.lan interfaceTypes.vpn ];
      locations."/" = {
        port = 8686;
        allowLAN = true;
        allowVPN = true;
      };
    };

    pepe.core.media.groupMembers = mkIf config.pepe.core.media.enable [ "lidarr" ];
  };
}
